[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] libvirt build errors



And also I have tried installing libvirt using yum install but still I could see libvirt module not found while running virt-manager tool.

# yum install virt-manager libvirt libvirt-python libvirt-python python-virtinst

[root blr-vxr-005 vsm]# virt-manager 
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 26, in <module>
    import libvirt
ImportError: No module named libvirt
[root blr-vxr-005 vsm]#

[root blr-vxr-005 vsm]# yum install libvirt
Setting up Install Process
Package libvirt-0.6.3-33.el5.x86_64 already installed and latest version
Package libvirt-0.6.3-33.el5.i386 already installed and latest version
Nothing to do
[root blr-vxr-005 vsm]#

Thanks,
Chandrashekhar

-----Original Message-----
From: Chandrashekhar Jamadarkhani (cjamadar) 
Sent: Wednesday, February 08, 2012 3:33 PM
To: 'Osier Yang'
Cc: libvir-list redhat com
Subject: RE: [libvirt] libvirt build errors

I have followed the below steps:

./configure
make
make install

I'm not sure how /usr/cisco/packages/libpcap/libpcap-1.0.0/bin/pcap-config --cflags --libs is invoked with libvirt make.


Thanks,
Chandrashekhar

-----Original Message-----
From: Osier Yang [mailto:jyang redhat com] 
Sent: Wednesday, February 08, 2012 3:27 PM
To: Chandrashekhar Jamadarkhani (cjamadar)
Cc: libvir-list redhat com
Subject: Re: [libvirt] libvirt build errors

On 2012年02月08日 17:38, Chandrashekhar Jamadarkhani (cjamadar) wrote:
> Hi,
>
> While doing make, I got below errors. Got same build errors for
> libvirt-0.9.8 and libvirt-0.9.9. Appreciate your help on this.
>
> CC libvirt_driver_nwfilter_la-nwfilter_driver.lo
>
> CC libvirt_driver_nwfilter_la-nwfilter_gentech_driver.lo
>
> CC libvirt_driver_nwfilter_la-nwfilter_ebiptables_driver.lo
>
> CC libvirt_driver_nwfilter_la-nwfilter_learnipaddr.lo
>
> In file included from
> /usr/cisco/packages/libpcap/libpcap-1.0.0/include/pcap.h:45,
>
> from nwfilter/nwfilter_learnipaddr.c:29:
>
> /usr/cisco/packages/libpcap/libpcap-1.0.0/include/pcap/pcap.h:339:
> warning: redundant redeclaration of 'bpf_filter' [-Wredundant-decls]
>
> /usr/cisco/packages/libpcap/libpcap-1.0.0/include/pcap/bpf.h:919:
> warning: previous declaration of 'bpf_filter' was here
>
> /usr/cisco/packages/libpcap/libpcap-1.0.0/include/pcap/pcap.h:340:
> warning: redundant redeclaration of 'bpf_validate' [-Wredundant-decls]
>
> /usr/cisco/packages/libpcap/libpcap-1.0.0/include/pcap/bpf.h:918:
> warning: previous declaration of 'bpf_validate' was here
>
> CCLD libvirt_driver_nwfilter.la
>
> libtool: link: require no space between `-L' and
> `/usr/cisco/packages/libpcap/libpcap-1.0.0/lib'

Looks like the libtool version you use doesn't allow an empty
"-L".

How did you configure?  with
"--with-libpcap=/usr/cisco/packages/libpcap/libpcap-1.0.0/"?

And perhaps the empty "-L" is produced by:

/usr/cisco/packages/libpcap/libpcap-1.0.0/bin/pcap-config --cflags --libs

Osier


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]